Go to the latest version of this document.

# ``twisted`.`python`.`syslog``

module documentation
(source)

Classes and utility functions for integrating Twisted and syslog.

You probably want to call `startLogging`.

Class | `SyslogObserver` | A log observer for logging to syslog.
Function | `startLogging` | Send all Twisted logging output to syslog from now on.
Constant | `DEFAULT_OPTIONS` | Undocumented
Variable | `syslog` | Undocumented

def startLogging(prefix='Twisted', options=DEFAULT_OPTIONS, facility=DEFAULT_FACILITY, setStdout=1): (source)

Send all Twisted logging output to syslog from now on.

The prefix, options and facility arguments are passed to `syslog.openlog()`, see the Python syslog documentation for details. For other parameters, see `twisted.python.log.startLoggingWithObserver`.

DEFAULT_OPTIONS: `int` = (source)

Undocumented

Value

    0

syslog = (source)

Undocumented